
Katello - Bug #5543

Content Search:  autocomplete is not working for content views and repositories

05/01/2014 04:15 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1102322 Red Hat JIRA:  

Pull request:    

Description

Need to add authorization for autocomplete

Associated revisions

Revision d080e64b - 06/19/2014 06:45 PM - Walden Raines

Fixes #5543/BZ1102322 - fix content search autocomplete.

Autocomplete was broken for products, repositories, and

content views in different ways.  This fixes each.

Revision 698511ed - 06/19/2014 08:08 PM - Walden Raines

Merge pull request #4310 from waldenraines/5543

Fixes #5543/BZ1102322 - fix content search autocomplete.

History

#1 - 05/01/2014 04:15 PM - Walden Raines

- Blocks Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me. added

#2 - 05/01/2014 04:15 PM - Walden Raines

- Target version set to 44

#3 - 05/28/2014 06:29 PM - Eric Helms

- Target version changed from 44 to 45

- Triaged changed from No to Yes

#4 - 05/28/2014 06:30 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1102322

#5 - 06/16/2014 12:19 PM - Eric Helms

- Target version changed from 45 to 48

#6 - 06/18/2014 07:34 PM - Walden Raines

- Status changed from New to Assigned

#7 - 06/18/2014 08:26 PM - Walden Raines

- Assignee set to Walden Raines

#8 - 06/19/2014 03:38 PM - Walden Raines

- Tracker changed from Feature to Bug
- Subject changed from Authorization for autocomplete to Autocomplete is not working for content views and repositories

- Difficulty set to medium

Changing this over to a bug as the authorization part has already been done.

Autocomplete is not working for content views and repositories, no results are ever returned even if you'are admin.  Autocomplete works fine for

products.

#9 - 06/19/2014 03:38 PM - Walden Raines

- Blocks deleted (Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me.)

#10 - 06/19/2014 03:38 PM - Walden Raines

- Subject changed from Autocomplete is not working for content views and repositories to Content Search:  autocomplete is not working for content

views and repositories

#11 - 06/19/2014 06:48 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4310

#12 - 06/19/2014 08:53 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:d080e64b588a37e2373562db9d238d905cb8ef49.

#13 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13
